ScanopyScanopy
Sites

List sites

GET
/api/v1/sites

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

credential_ids?array<>|

Only sites with one of these credentials assigned. Repeat for several.

effective_stale_after_hours?array<>|

Only sites whose effective staleness window is one of these, in hours. Repeat for several.

tag_ids?array<>|

Filter by tag IDs (returns sites that have ANY of the specified tags)

tag_sets?array<string>|

Tag sets the site must hold one tag from each of. Each entry is a comma-separated list of tag ids. One entry per tag group the list is filtered by.

search?|

Free-text search. Case-insensitive substring match against the site's name and the names of its daemons, subnets and VLANs.

group_by?|

Primary ordering field (used for grouping). Always sorts ASC to keep groups together.

order_by?|

Secondary ordering field (sorting within groups or standalone sort).

group_by_tag_group?|

Group by the tag each row holds from this tag group. Takes the place of group_by.

order_by_tag_group?|

Sort by the position of the tag each row holds from this tag group. Takes the place of order_by.

order_direction?|

Direction for order_by field (group_by always uses ASC).

limit?|

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

offset?|

Number of results to skip. Default: 0.

Response Body

application/json

curl -X GET "https://example.com/api/v1/sites"
{
  "data": [
    {
      "created_at": "2026-01-15T10:30:00Z",
      "credential_ids": [],
      "effective_stale_after_hours": 672,
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "name": "Home Site",
      "organization_id": "550e8400-e29b-41d4-a716-446655440001",
      "stale_after_hours": null,
      "tags": [],
      "updated_at": "2026-01-15T10:30:00Z"
    }
  ],
  "meta": {
    "api_version": 1,
    "pagination": {
      "has_more": true,
      "limit": 50,
      "offset": 0,
      "total_count": 142
    },
    "server_version": "0.19.6"
  },
  "success": true,
  "error": "string"
}

Product names and logos are trademarks of their respective owners. See credits.